package com.bcxin.ars.model.approve;

import com.bcxin.ars.model.BaseModel;

import java.util.Date;

/**
 * 审批activity关联
 *
 * @author wangcy
 * @since 2018-01-19 14:14:02
 */

public class ApproveActRela extends BaseModel {
    private static final long serialVersionUID = 397591495L;


    /**
     * 审批类型
     */
    private String approveType;

    /**
     * 流程配置信息
     */
    private String processInfo;

    /**
     * 区域级别
     */
    private String regionLevel;

    /**
     * 生效时间
     */
    private Date effectTime;

    /**
     * 失效时间
     */
    private Date failureTime;

    /**
     * 单位所在区域ID
     */
    private String regionId;

    /**
     * activity流程ID
     */
    private Long approveLinkId;


    public String getApproveType() {
        return approveType;
    }

    public void setApproveType(String approveType) {
        this.approveType = approveType;
    }

    public String getProcessInfo() {
        return processInfo;
    }

    public void setProcessInfo(String processInfo) {
        this.processInfo = processInfo;
    }

    public String getRegionLevel() {
        return regionLevel;
    }

    public void setRegionLevel(String regionLevel) {
        this.regionLevel = regionLevel;
    }

    public Date getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(Date effectTime) {
        this.effectTime = effectTime;
    }

    public Date getFailureTime() {
        return failureTime;
    }

    public void setFailureTime(Date failureTime) {
        this.failureTime = failureTime;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getApproveLinkId() {
        return approveLinkId;
    }

    public void setApproveLinkId(Long approveLinkId) {
        this.approveLinkId = approveLinkId;
    }
}